﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Spire.DataExport.Access;
using FEMA.BusinessObjects.Database;
using vertica;
using System.IO;
using System.Data;
using System.Web;

namespace FEMA.BusinessObjects.Utilities
{
    public static class MsAccess
    {
        public static string Create(DataTable dt)
        {
            AccessExport accessExport1 = new AccessExport();

            accessExport1.DatabaseName = dt.TableName + ".mdb";
            accessExport1.DataSource = Spire.DataExport.Common.ExportSource.DataTable;
            accessExport1.DataFormats.CultureName = "en-US";
            accessExport1.DataFormats.Currency = "c";
            accessExport1.DataFormats.DateTime = "MM/dd/yyyy H:mm";
            accessExport1.DataFormats.Float = "g";
            accessExport1.DataFormats.Integer = "g";
            accessExport1.DataFormats.Time = "H:mm";

            accessExport1.DataTable = dt;
            accessExport1.TableName = dt.TableName;
            
            string filename = Path.GetTempFileName();
            using (FileStream f = new FileStream(filename, FileMode.Create))
            {
                accessExport1.SaveToStream(f);
            }
            return filename;
        }
        public static string Create(DataSet ds)
        {
            Spire.License.LicenseProvider.ClearLicense();
            Spire.License.LicenseProvider.SetLicenseFileName("license.elic.xls.xml");
            AccessExport accessExport1 = new AccessExport();
            string filename = Path.GetTempFileName().Replace(".tmp",".mdb");

            accessExport1.DataSource = Spire.DataExport.Common.ExportSource.DataTable;
            accessExport1.DataFormats.CultureName = "en-US";
            accessExport1.DataFormats.Currency = "c";
            accessExport1.DataFormats.DateTime = "MM/dd/yyyy H:mm";
            accessExport1.DataFormats.Float = "g";
            accessExport1.DataFormats.Integer = "g";
            accessExport1.DataFormats.Time = "H:mm";
            accessExport1.DatabaseName = filename;
                foreach (DataTable dt in ds.Tables)
                {
                    accessExport1.DataTable = dt;
                    accessExport1.TableName = dt.TableName;
                    accessExport1.SaveToFile();
                }
                return filename;
        }
       
    }
}
